Name:           mirrormanager
Version:        1.2.6
Release:        1%{?dist}
Summary:        Fedora mirror management system
BuildArch:      noarch

Group:          Applications/Internet
License:        MIT and GPLv2
URL:            http://fedorahosted.org/mirrormanager
Source0:        https://fedorahosted.org/releases/m/i/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  python
Requires:       TurboGears, python-IPy, python-GeoIP, wget, yum

%description
MirrorManager tracks all the content provided on a master mirror
server, and that of all public and private mirrors of that content.
This package contains the application server, database schema and
hosted tools.

%package client
Requires:       python
Summary:        Fedora mirror management system downstream mirror tools
Group:          Applications/Internet

%description client
Client-side, run on each downstream mirror, to report back to the
MirrorManager database a description of the content carried by that
mirror.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT CONFFILE="%{_sysconfdir}/%{name}/prod.cfg" PROGRAMDIR="%{_datadir}/%{name}/server" SBINDIR="%{_sbindir}"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_localstatedir}/lib/%{name}/
%dir %{_localstatedir}/run/%{name}/
%dir %{_localstatedir}/log/%{name}/
%dir %{_localstatedir}/log/%{name}/crawler/
%dir %{_localstatedir}/lock/%{name}/
%dir %{_sysconfdir}/%{name}/
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mirrorlist-server.conf
%doc LICENSE LICENSES LICENSE_generate-worldmap
%doc server/*.cfg

%files client
%defattr(-,root,root,-)
%{_bindir}/report_mirror
%dir %{_sysconfdir}/%{name}-client
%config(noreplace) %{_sysconfdir}/%{name}-client/report_mirror.conf
%doc LICENSE


%changelog
* Mon Oct 13 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.6-1
- even more bugfixes

* Sat Oct  4 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.5-1
- more bugfixes

* Fri Oct  3 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.4-1
- more bugfixes

* Sun Sep 28 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.3-1
- lots of bugfixes

* Fri Sep 26 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.2-1
- initial package attempt
